package com.example.imlinkclient;

import java.util.UUID;

public class Constants {
    // AIDL客户端发过来的蓝牙数据
    public final static int CMD_BLUETOOTH_DATA = 328202;
    // 数据：key ："btData"，类型：byte[]
    public final static String KEY_BT_BYTES = "btData";

    // WIFI配置信息
    public final static int CMD_WIFI_CONFIG_INFO = 328203;
    // key ："ssid"，类型：String
    public final static String KEY_SSID_STR = "ssid";
    // key ："pass"，类型：String
    public final static String KEY_PASS_STR = "pass";
    // key ："securityType"，类型：byte
    public final static String KEY_SECURITY_TYPE_BYTE = "securityType";
    // key ：" channel"，类型：byte
    public final static String KEY_CHANNEL_BYTE = "channel";


    // Message types sent from the BluetoothChatService Handler
    public static final int MESSAGE_STATE_CHANGE = 1;
    public static final int MESSAGE_READ = 2;
    public static final int MESSAGE_WRITE = 3;
    public static final int MESSAGE_DEVICE_NAME = 4;
    public static final int MESSAGE_TOAST = 5;

    // Key names received from the BluetoothChatService Handler
    public static final String DEVICE_NAME = "device_name";
    public static final String TOAST = "toast";

    // 车机连盒子00000000-deca-fade-deca-deafdecacafe
    public static final UUID UUID_ACCEPT =
            UUID.fromString("00000000-deca-fade-deca-deafdecacafe");

    // 连接车机00000000-deca-fade-deca-deafdecacaff
    public static final UUID UUID_CONNECT =
            UUID.fromString("00000000-deca-fade-deca-deafdecacaff");
}
